org.apache.hc.client5.http.io

## Interface LeaseRequest

All Superinterfaces:
  Cancellable

    public interface LeaseRequest
    extends Cancellable

Represents a request for a `ConnectionEndpoint` whose life cycle is managed by a connection manager.

Since:
  5.0

### Method Summary

Methods
`ConnectionEndpoint` `get(Timeout timeout)` Returns `ConnectionEndpoint` within a given time.

### Methods inherited from interface org.apache.hc.core5.concurrent.Cancellable

`cancel`

### Method Detail

#### get

    ConnectionEndpoint get(Timeout timeout)
                           throws InterruptedException,
                                  ExecutionException,
                                  TimeoutException

Returns `ConnectionEndpoint` within a given time. This method will block until a connection becomes available, the timeout expires, or the connection manager is shut down. Timeouts are handled with millisecond precision. If `Cancellable.cancel()` is called while this is blocking or before this began, an `InterruptedException` will be thrown.

Parameters:
  `timeout` - the operation timeout.
Returns:
  a connection that can be used to communicate along the given route
Throws:
  `TimeoutException` - in case of a timeout
  `InterruptedException` - if the calling thread is interrupted while waiting
  `ExecutionException`